#ifndef NODE_LIST_H
#define NODE_LIST_H


struct Node_list
{
	char addr[256];
	int port;
	int associativity;
	
	struct Node_list * next;
};

void Node_list_init( struct Node_list ** nl);
void Node_list_release( struct Node_list ** nl);

struct Node_list * Node_list_push( struct Node_list * nl, char *addr, int port );
int Node_list_pop( struct Node_list ** nl, struct Node_list * dest );



#endif /* NODE_LIST_H */