#include <stdio.h>
#include <string.h>

#include "Shared_Cache.h"

#include "Utils.h"
#include "VMPI_stream.h"
#include "VMPI.h"
#include "Trace_Collector.h"
#include "Meta_Data_Handler.h"


extern int analyzer_main( int argc, char **argv );

int main( int argc, char **argv )
{
	/*
	 * INIT VMPI
	 */
	VMPI_Set_partition_name("Analyzer");

	int out;
	MPI_Init_thread( &argc, &argv, MPI_THREAD_SERIALIZED, &out );

	int ret = analyzer_main( argc, argv );


	MPI_Finalize();


	return ret;
}
