#include "Red_Dispatch_Bootstrap.h"

#include <stdio.h>
#include <signal.h>

struct Red_Dispatcher disp;
int disp_init_done = 0;

void ctrl_c_handler(int a)
{
	Red_Dispatcher_release( &disp );
	printf("\nClosing server...\n");
}


int main(int argc, char **argv)
{
	Red_Dispatcher_init( &disp );

	signal( SIGINT, ctrl_c_handler );
	
	printf("RT_ADDR=%s:%s\n", disp.server_ctx.addr, disp.server_ctx.port );
	
	Red_Dispatcher_loop( &disp );
		
	return 0;
}